<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:44 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SyncManagerImpl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SyncManagerImpl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SyncManagerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/impl/SynchConfigDataJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/jobs/impl/UserDetailServiceJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/SyncManagerImpl.html" target="_top">Frames</a></li>
<li><a href="SyncManagerImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.jobs.impl</div>
<h2 title="Class SyncManagerImpl" class="title">Class SyncManagerImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">io.mosip.registration.service.BaseService</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.jobs.impl.SyncManagerImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a></dd>
</dl>
<hr>
<br>
<pre>@Component
public class <span class="typeNameLabel">SyncManagerImpl</span>
extends <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a>
implements <a href="../../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a></pre>
<div class="block">This class includes the functionalities of what transaction table needed.,
 like getting job details and preparation of sync transaction data</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>YASWANTH S</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../io/mosip/registration/service/BaseService.html#serviceDelegateUtil">serviceDelegateUtil</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#SyncManagerImpl--">SyncManagerImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">createSyncTransaction</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComment,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">To create a new transaction in sync transaction table</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.service.BaseService">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.service.<a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></h3>
<code><a href="../../../../../io/mosip/registration/service/BaseService.html#getCenterId--">getCenterId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getCenterId-java.lang.String-">getCenterId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getGlobalConfigValueOf-java.lang.String-">getGlobalConfigValueOf</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getMacAddress--">getMacAddress</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getStationId-java.lang.String-">getStationId</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#getUserIdFromSession--">getUserIdFromSession</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isEmpty-java.util.List-">isEmpty</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isNull-java.util.List-">isNull</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a>, <a href="../../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SyncManagerImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SyncManagerImpl</h4>
<pre>public&nbsp;SyncManagerImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSyncControlTransaction</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;createSyncControlTransaction(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>syncTransaction</code> - last transaction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>updated sync control for respective sync job transaction</dd>
</dl>
</li>
</ul>
<a name="createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createSyncTransaction</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;createSyncTransaction(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComment,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">SyncManager</a></code></span></div>
<div class="block">To create a new transaction in sync transaction table</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">createSyncTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - of Job</dd>
<dd><code>statusComment</code> - of job</dd>
<dd><code>triggerPoint</code> - information system/User</dd>
<dd><code>syncJobId</code> - information of job</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last inserted sync transaction</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SyncManagerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/impl/SynchConfigDataJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/jobs/impl/UserDetailServiceJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/SyncManagerImpl.html" target="_top">Frames</a></li>
<li><a href="SyncManagerImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.service.BaseService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
